- Home
- API Enriched
- Statistics
- config
- Replace Alert Policy.
Replace Alert Policy.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/alert_policys/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"notification_parameters":{"custom":{"labels":["example"]},"default":{},"group_interval":"example","group_wait":"example","individual":{},"repeat_interval":"example","ves_io_group":{}},"receivers":[{"name":"example","namespace":"example"}],"routes":[{"alertname":"SITE_CUSTOMER_TUNNEL_INTERFACE_DOWN","alertname_regex":"example","any":{},"custom":{"alertlabel":{},"alertname":{"exact_match":"example","regex_match":"example"},"group":{"exact_match":"example","regex_match":"example"},"severity":{"exact_match":"example","regex_match":"example"}},"dont_send":{},"group":{"groups":["INFRASTRUCTURE"]},"notification_parameters":{"custom":{"labels":["example"]},"default":{},"group_interval":"example","group_wait":"example","individual":{},"repeat_interval":"example","ves_io_group":{}},"send":{},"severity":{"severities":["MINOR"]}}]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/alert_policys/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "notification_parameters": { "custom": { "labels": [ "example" ] }, "default": {}, "group_interval": "example", "group_wait": "example", "individual": {}, "repeat_interval": "example", "ves_io_group": {} }, "receivers": [ { "name": "example", "namespace": "example" } ], "routes": [ { "alertname": "SITE_CUSTOMER_TUNNEL_INTERFACE_DOWN", "alertname_regex": "example", "any": {}, "custom": { "alertlabel": {}, "alertname": { "exact_match": "example", "regex_match": "example" }, "group": { "exact_match": "example", "regex_match": "example" }, "severity": { "exact_match": "example", "regex_match": "example" } }, "dont_send": {}, "group": { "groups": [ "INFRASTRUCTURE" ] }, "notification_parameters": { "custom": { "labels": [ "example" ] }, "default": {}, "group_interval": "example", "group_wait": "example", "individual": {}, "repeat_interval": "example", "ves_io_group": {} }, "send": {}, "severity": { "severities": [ "MINOR" ] } } ] } }'Replaces the content of the Alert Policy Object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
object
object
Name of labels to group/aggregate the alerts.
object
Group Interval is used to specify how long to wait before sending a notification about new alerts that are added to the group for which an initial notification has already been sent. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days If not specified, group_interval defaults to “1m”
Time value used to specify how long to initially wait for an inhibiting alert to arrive or collect more alerts for the same group. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days If not specified, group_wait defaults to ”30s”
object
Repeat Interval is used to specify how long to wait before sending a notification again if it has already been sent successfully. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days If not specified, group_interval defaults to “4h”
object
List of Alert Receivers where the alerts will be sent
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Set of routes to match the incoming alert. The routes are evaluated in the specified order and terminates on the first match.
Required: YES.
Route defines the match conditions to match the incoming alert and the receiver to send the alert.
object
Exclusive with [alertname any custom group severity] Regular Expression match for the alertname.
object
object
AlertLabel to configure the alert policy rule.
object
object
Exclusive with [regex_match] Equality match value for the label.
Exclusive with [exact_match] Regular expression match value for the label.
object
Exclusive with [regex_match] Equality match value for the label.
Exclusive with [exact_match] Regular expression match value for the label.
object
Exclusive with [regex_match] Equality match value for the label.
Exclusive with [exact_match] Regular expression match value for the label.
object
object
Name of groups to match the alert.
object
object
Name of labels to group/aggregate the alerts.
object
Group Interval is used to specify how long to wait before sending a notification about new alerts that are added to the group for which an initial notification has already been sent. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days If not specified, group_interval defaults to “1m”
Time value used to specify how long to initially wait for an inhibiting alert to arrive or collect more alerts for the same group. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days If not specified, group_wait defaults to ”30s”
object
Repeat Interval is used to specify how long to wait before sending a notification again if it has already been sent successfully. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days If not specified, group_interval defaults to “4h”
object
object
object
List of severity levels.
Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example